# Class ParsedFunctionCall

java.lang.Object
uk.ac.starlink.ttools.plot2.ParsedFunctionCall

public class ParsedFunctionCall extends Object
Utility class that represents a call to a function with numeric arguments and its textual representation. The object modelled is of the form `funcName(arg1,arg2,...)`.

Since:
  19 Mar 2025
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ParsedFunctionCall(String funcName, double[] args)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static ParsedFunctionCall`
`fromString(String txt)`
Constructs a ParsedFunctionCall instance from a string.
`double[]`
`getArguments()`
Returns the array of arguments.
`String`
`getFunctionName()`
Returns the function name.
`String`
`toString()`
Serializes this object in the form `name(arg1,arg2,...)`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParsedFunctionCall

public ParsedFunctionCall(String funcName, double[] args)
Constructor.

Parameters:
  `funcName` - function name
  `args` - list of arguments, may be null

## Method Details

### getFunctionName

public String getFunctionName()
Returns the function name.

Returns:
  name

### getArguments

public double[] getArguments()
Returns the array of arguments.

Returns:
  args array, may be null

### toString

public String toString()
Serializes this object in the form `name(arg1,arg2,...)`. If the argument array is null, there will be no brackets.

Overrides:
  `toString` in class `Object`
Returns:
  string representation

### fromString

public static ParsedFunctionCall fromString(String txt)
Constructs a ParsedFunctionCall instance from a string. This does this opposite job to `toString()`.

Parameters:
  `txt` - string representation
Returns:
  ParsedFunctionCall object, or null if it doesn't look like one